Data Warehouse API
The Analytics 2.0 Data Warehouse API endpoints provide methods for creating and managing Data Warehouse scheduled requests, and for viewing report data generated by those requests. The endpoints use the same data and methods that are used when working with Data Warehouse in the Adobe Analytics UI. See the Data Warehouse overview for more information.
The endpoints described in this guide are routed through analytics.adobe.io. To use them, you must first create a client with access to the Adobe Developer Console. For more information, see Getting started with the Analytics API for more information.
data-variant=info
data-slots=text
Data Warehouse scheduled requests
These endpoints provide methods for creating, viewing, managing, and updating Data Warehouse scheduled requests:
- POST scheduled request: Creates a scheduled request
- GET scheduled requests: Retrieves summarized scheduled requests that match specified filters
- GET scheduled request by ID: Retrieves a detailed scheduled request for a specified
UUID. - PUT scheduled request: Updates a scheduled request for a specified UUID
Reports for Data Warehouse scheduled requests
These endpoints provide methods for viewing, managing, and updating the reports generated from Data Warehouse scheduled requests:
- GET reports: Retrieves the reports generated by a specified scheduled request
- GET report by ID: Retrieves a report specified by UUID
- PUT report by ID: Updates a report specified by UUID
data-variant=info
data-slots=text
POST scheduled request
Use this endpoint to create a scheduled request. For more information on creating scheduled requests, see Create a Data Warehouse request.
POST https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/scheduled
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'POST'
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/scheduled" \
-H "Content-Type: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-d '{
"schedule": {
"periodSettings": {
"frequency": "daily"
}, "cancelSettings": {
"cancelMethod": "afterOccurrences",
"endAfterNumOccurrences": 10
}
},
"request": {
"name": "Run Daily Example",
"reportParameters": {
"reportRange": {
"preset": "Yesterday"
},
"dimensionList": [
],
"metricList": [
{
"id": "metrics/visitors"
}
]
},
"rsid": "examplersid"
},
"delivery": {
"exportLocationUUID": "000fxf00-12d1-1234-a6aa-00000000000a"
}
}
}'
Response
{
"metadata": {
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"scheduledRequestLegacyID": 00000001,
"status": "Scheduled",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"jobType": "Data Warehouse",
"ownerInfo": {
"company": "Example Org",
"login": "example_user@adobe.com",
"imsUserId": "000000000000000000000000@0000000000000000000000.e",
"email": "example_user@adobe.com",
"phone": null
}
},
"schedule": {
"scheduleAt": "YYYY-MM-DDT00:00:00Z",
"periodSettings": {
"frequency": "daily",
"every": 1,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"weekOfMonth": null
},
"cancelSettings": {
"cancelMethod": "afterOccurrences",
"cancelDate": null,
"endAfterNumOccurrences": 10
}
},
"request": {
"name": "Run Daily Example",
"sharing": {
"shareWithOtherUsers": false
},
"outputFile": {
"compressionFormat": "default",
"outputFileBasename": "Report",
"fileFormat": "csv",
"sendEmptyFileForNoDataReport": false,
"beginningOfReportComments": "",
"sendDigitalSignatureFile": false,
"sendManifestFile": false
},
"reportParameters": {
"dimensionList": [],
"metricList": [
{
"namespace": "Identity Service",
"id": "metrics/visitors",
"properties": null
}
],
"segmentList": [],
"dateGranularity": "none",
"numberOfRowsInTable": null,
"reportRange": {
"preset": "Yesterday",
"startDateTime": null,
"endDateTime": null
},
"sortByMetrics": false
},
"rsid": "examplersid"
},
"delivery": {
"exportLocationUUID": "000fxf00-12d1-1234-a6aa-00000000000a",
"email": null,
"legacyEmail": null,
"legacyAzure": null,
"legacyFTP": null,
"legacyS3": null
}
}
Request Example Details
The example above creates a scheduled request with the following details:
- The name of the request is
Run Daily Exampleand it references theexamplersidreport suite. - It generates a daily report of the data for the previous day.
- It will stop generating a report after 10 occurrences.
Response Example Details
The successful JSON response example above confirms the following details:
- The name of the request is
Run Daily Exampleand it references theexamplersidreport suite. - It generates a daily report of the data for the previous day.
- It will stop generating a report after 10 occurrences.
Request parameters
The following table describes request parameters for creating a scheduled request:
schedulescheduleAt, periodSettings, and cancelSettings parameters.scheduleAtperiodSettingsfrequency, every, dayOfMonth, dayOfWeek, month, and weekOfMonth parameters.frequencydailyeveryfrequencydayOfMonthdayOfWeekmonthweekOfMonthcancelSettingscancelMethod, cancelDate, and endAfterNumOccurrences parameters.cancelMethodcancelDateendAfterNumOccurrencesrequestname, sharing, outputFile, reportParameters, and rsid parameters.namesharingshareWithOtherUsers parameter.shareWithOtherUsersoutputFilecompressionFormat, outputFileBasename, fileFormat, sendEmptyFileForNoDataReport, beginningOfReportComments, sendDigitalSignatureFile, and sendManifestFile parameters.compressionFormatdefault, zip, and gzip.outputFileBasenamefileFormatsendEmptyFileForNoDataReportbeginningOfReportCommentssendDigitalSignatureFilesendManifestFilereportParametersdimensionList, metricList, segmentList, dateGranularity, numberOfRowsInTable, reportRange, and sortByMetrics parametersdimensionListnamespace, id, and properties parameters.namespaceid parameter. This parameter is to not be included if you are using an identity service name for your dimension.iddimensionList items are either identity service names or a segment service ID. Note that when a namespace value is not included, the service will infer the id value as an identity service name.propertiesmetricListnamespace, id, and properties parameters.idmetricList items are identity service names.propertiessegmentListnamespace, id, and properties parameters.namespaceidpropertiesdateGranularitynumberOfRowsInTablereportRangepreset, startDateTime, and endDateTime parameters.presetstartDateTimeendDateTimesortByMetricsrsiddeliveryexportLocationUUID and email parameters. If the exportLocationUUID includes an email in its inherent configuration, do not include the email parameter. For more information about delivery options see the Data Warehouse Delivery Guide.exportLocationUUIDemailexportLocationUUID includes an email delivery in its inherent configuration. Contains the notificationEmailTo, notificationEmailFrom, notificationEmailSubject, and notificationEmailNotes parameters.notificationEmailTonotificationEmailFromnotificationEmailSubjectnotificationEmailNotesResponse Parameters
The response parameters for creating a scheduled request include those described in the previous table of request parameters, with the following additional parameters:
legacyEmaillegacyAzureaccount, container, and prefix parameters.accountcontainerprefixlegacyFTPusername, host, port, and directory parameters.usernamehostportdirectorylegacyS3awsBucket, awsAccessKey, and awsPath parameters.awsBucketawsAccessKeyawsPathmetadatascheduledRequestUUID, scheduledRequestLegacyID, status, createdDate, updatedDate, and ownerInfo parameters.scheduledRequestUUIDscheduledRequestLegacyIDstatusScheduled, Completed, Canceled, and Error.createdDateupdatedDateownerInfocompany, login, imsUserId, email. and phone parameters.companyloginimsUserIdemailphoneGET scheduled requests
Use this endpoint to retrieve a filtered list of scheduled requests.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/scheduled
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/scheduled?rsid=examplersid" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"total": 2,
"totalReturned": 2,
"scheduledRequests": [
{
"mostRecentReport": {
"metadata": {
"legacyReportID": 00000000,
"uuid": "00000000-0000-0000-0000-000000000000",
"status": "Processing"
}
},
"request": {
"name": "Second request example",
"rsid": "examplersid"
},
"metadata": {
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"scheduledRequestLegacyID": 00000001,
"status": "Completed",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"ownerInfo": {
"login": "example_user@adobe.com",
"imsUserId": "000000000000000000000000@0000000000000000000000.e"
}
}
},
{
"mostRecentReport": {
"metadata": {
"legacyReportID": 00000000,
"uuid": "00000000-0000-0000-0000-000000000000",
"status": "Completed"
}
},
"request": {
"name": "Exampledwrequest",
"rsid": "examplersid"
},
"metadata": {
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000002",
"scheduledRequestLegacyID": 00000001,
"status": "Completed",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"ownerInfo": {
"login": "example_user@adobe.com",
"imsUserId": "000000000000000000000000@0000000000000000000000.e"
}
}
}
]
}
Request Example Details
The example above shows a request for a summarized list Data Warehouse scheduled requests associated with the report suite ID examplersid.
Response Example Details
The successful JSON response example above shows the following details:
- Two scheduled requests are associated with the
examplersidreport suite:ExampledwrequestandSecond request example. - The status of
ExampldwrequestisCompletedand the status ofSecond request exampleisProcessing. - The owner and login associated with these requests is
example_user@adobe.com.
Request parameters
The following table describes the request parameters for GET scheduled requests:
rsidcreatedAftercreatedBeforeupdatedAfterupdatedBeforestatusScheduled, Completed, Canceled, and Error.sortcreatedDate or updatedDate. The second value must be either asc or desc. An example pair would be createdDate:asc.limitResponse Parameters
The following table describes the response parameters for GET scheduled requests:
totaltotalReturnedscheduledRequestsmostRecentReport, request, and metadata parameters.mostRecentReportmetadata parameter.metadatalegacyReportID, uuid, and status parameters.legacyReportIDuuidstatusCreated, Pending, Processing, Completed, Scheduled, Canceled, Error - Processing, and Error - Failure To Send.requestname and rsid parametersnamersidmetadatascheduledRequestUUID, scheduledRequestLegacyID, status, createdDate, updatedDate, and ownerInfo parameters.scheduledRequestUUIDscheduledRequestLegacyIDstatusScheduled, Completed, Canceled, and Error.createdDateupdatedDateownerInfologin and imsUserId parameters.loginimsUserIdGET scheduled request by ID
Use this endpoint to retrieve a specific scheduled request using its associated UUID. This endpoint also returns the exportLocationUUID, which is a required parameter for creating a scheduled request.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/scheduled/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GlOBAL_COMPANY_ID}/data_warehouse/scheduled/44444444-3333-2222-1111-000000000000" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"metadata": {
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"scheduledRequestLegacyID": 00000000,
"status": "Completed",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"jobType": "Data Warehouse",
"ownerInfo": {
"company": "Example Org",
"login": "example_user@adobe.com",
"imsUserId": "000000000000000000000000@0000000000000000000000.e",
"email": "example_user@adobe.com",
"phone": null
}
},
"schedule": {
"scheduleAt": "YYYY-MM-DDT00:00:00Z",
"periodSettings": {
"frequency": "daily",
"every": 1,
"dayOfMonth": null,
"dayOfWeek": null,
"month": null,
"weekOfMonth": null
},
"cancelSettings": {
"cancelMethod": "afterOccurrences",
"cancelDate": null,
"endAfterNumOccurrences": 1
}
},
"request": {
"name": "Second request example",
"sharing": {
"shareWithOtherUsers": true
},
"outputFile": {
"compressionFormat": "default",
"outputFileBasename": "Report",
"fileFormat": "csv",
"sendEmptyFileForNoDataReport": true,
"beginningOfReportComments": "",
"sendDigitalSignatureFile": false,
"sendManifestFile": false
},
"reportParameters": {
"dimensionList": [
{
"namespace": "Identity Service",
"id": "variables/browser",
"properties": null
}
],
"metricList": [
{
"namespace": "Identity Service",
"id": "metrics/cartviews",
"properties": null
}
],
"segmentList": [
{
"namespace": "Segment Service",
"id": "s000000000_0000000000000000000000ea",
"properties": null
}
],
"dateGranularity": "daily",
"numberOfRowsInTable": null,
"reportRange": {
"preset": "Last month",
"startDateTime": null,
"endDateTime": null
},
"sortByMetrics": false
},
"rsid": "examplersid"
},
"delivery": {
"exportLocationUUID": "000fxf00-12d1-1234-a6aa-00000000000a",
"email": null,
"legacyEmail": null,
"legacyAzure": null,
"legacyFTP": null,
"legacyS3": null
}
}
Request Example Details
The example above requests the information associated with scheduledRequestUUID: 44444444-3333-2222-1111-000000000000.
Response Example Details
The JSON response example above shows the following details:
- The name of the scheduled request associated with the
scheduledrequestUUID44444444-3333-2222-1111-000000000000isSecond request example. - The
exportLocationUUIDof theSecond request exampleis000fxf00-12d1-1234-a6aa-00000000000a. This ID can be used to create additional schedule requests with the POST scheduled request method.
Request parameters
The following table describes the GET scheduled request by ID request parameters:
UUIDResponse Parameters
The GET scheduled request by ID endpoint uses the same response parameters as those described in the tables above.
PUT scheduled request
Use this endpoint to update a scheduled request.
PUT https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/scheduled/{UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'PUT' \
"https://analytics.adobe.io/api/{GlOBAL_COMPANY_ID}/data_warehouse/scheduled/44444444-3333-2222-1111-000000000000" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
-d '{
"request": {
"name": "New example report name",
"sharing": {
"shareWithOtherUsers": true
},
"reportParameters": {
"numberOfRowsInTable": 50
}
}
}'
Response
{
"metadata": {
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"scheduledRequestLegacyID": 0000001,
"status": "Scheduled",
"createdDate": "YYYY-01-25T18:23:33Z",
"updatedDate": "YYYY-04-03T20:34:07Z",
"jobType": "Data Warehouse",
"ownerInfo": {
"company": "Example org",
"login": "example_user@example.com",
"imsUserId": "dw-rest-api@AdobeID",
"email": "example_user@example.com",
"phone": null
}
},
"schedule": {
"scheduleAt": "YYYY-05-06T02:00:00Z",
"periodSettings": {
"frequency": "monthlyByWeek",
"every": 1,
"dayOfMonth": null,
"dayOfWeek": "Monday",
"month": null,
"weekOfMonth": "first"
},
"cancelSettings": {
"cancelMethod": "never",
"cancelDate": null,
"endAfterNumOccurrences": null
}
},
"request": {
"name": "New report name",
"sharing": {
"shareWithOtherUsers": true
},
"outputFile": {
"compressionFormat": "default",
"outputFileBasename": "Report",
"fileFormat": "csv",
"sendEmptyFileForNoDataReport": false,
"beginningOfReportComments": "",
"sendDigitalSignatureFile": false,
"sendManifestFile": false
},
"reportParameters": {
"dimensionList": [],
"metricList": [
{
"namespace": "Identity Service",
"id": "metrics/visitors",
"properties": null
}
],
"segmentList": [],
"dateGranularity": "none",
"numberOfRowsInTable": 50,
"reportRange": {
"preset": "Today",
"startDateTime": null,
"endDateTime": null
},
"sortByMetrics": false
},
"rsid": "examplersid"
},
"delivery": {
"exportLocationUUID": "000fxf00-12d1-1234-a6aa-00000000000a",
"email": null,
"legacyEmail": null,
"legacyAzure": null,
"legacyFTP": null,
"legacyS3": null
}
}
Request Example Details
The example above requests the following updates for the scheduled request:
- Renaming to "New example report name"
- Sharing is enabled with other users
- Specifies
50as the number of rows in tables
Response Example Details
The example response confirms that each of the three values specified in the request have been updated. Additionally, it also shows the date it was updated after its creation. Note the following lines:
"createdDate": "YYYY-01-25T18:23:33Z",
"updatedDate": "YYYY-04-03T20:34:07Z",
Request parameters
The PUT scheduled request endpoint uses the same request parameters as those described in the tables above.
Response Parameters
The GET scheduled request by ID endpoint uses the same response parameters as those described in the tables above.
GET reports
Use this endpoint to retrieve a list of reports generated by specified scheduled requests. Note that this will not return the data reports themselves, but only associated metadata with the scheduled requests.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/report
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GlOBAL_COMPANY_ID}/data_warehouse/report?scheduledRequestUUID=44444444-3333-2222-1111-000000000000" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"total": 1,
"totalReturned": 1,
"reportList": [
{
"metadata": {
"legacyReportID": 000000001,
"reportUUID": "99999999-8888-7777-6666-555555555555",
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"startedDate": "YYYY-MM-DDT00:00:00Z",
"completedDate": "YYYY-MM-DDT00:00:00Z",
"status": "Completed",
"currentTask": ""
},
"report": {
"fromDate": "YYYY-MM-DDT00:00:00Z",
"toDate": "YYYY-MM-DDT00:00:00Z"
}
}
]
}
Request Example Details
The example above requests a list of reports associated with scheduledRequestUUID: 44444444-3333-2222-1111-000000000000.
Response Example Details
The example above shows a list of reports associated with scheduledRequestUUID: 44444444-3333-2222-1111-000000000000. The response lists only one report with areportUUIID of 99999999-8888-7777-6666-555555555555.
Request parameters
The following table describes the request parameters:
scheduledRequestUUIDcreatedAftercreatedBeforeupdatedAfterupdatedBeforestatusCompleted, Canceled, Error - Failure To Send, Error - Processing, Created, Processing, Pending.sortcreatedDate or updatedDate. The second value must be either asc or desc. An example pair would be createdDate:asc.limitResponse Parameters
The following table describes the reports response parameters:
totaltotalReturnedreportListmetadata and report parameters.metadatalegacyReportID, uuid, and status parameters.legacyReportIDreportUUIDstatusCreated, Pending, Processing, Completed, Scheduled, Canceled, Error - Processing, and Error - Failure To Send.reportfromDate and toDate parameters.fromDatetoDateGET report by ID
Use this endpoint to retrieve a report by its UUID. Note that the Report UUID is not the same as the scheduled request UUID. This report does not include analytics data, but only the metadata associated with the scheduled request.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/report/{REPORT_UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GlOBAL_COMPANY_ID}/data_warehouse/report?reportUUID=99999999-8888-7777-6666-555555555555" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
Response
{
"delivery": {
"exportLocationUUID": "000fxf00-12d1-1234-a6aa-00000000000a",
"email": {
"notificationEmailTo": "notification_email_in_delivery_profile",
"notificationEmailFrom": "no-reply@example.com",
"notificationEmailSubject": "Data Warehouse: for examplersid",
"notificationEmailNotes": null
},
"legacyEmail": null,
"legacyAzure": null,
"legacyFTP": null,
"legacyS3": null
},
"outputFile": {
"compressionFormat": "default",
"outputFileBasename": "Report",
"fileFormat": "csv",
"sendEmptyFileForNoDataReport": true,
"beginningOfReportComments": "",
"sendDigitalSignatureFile": null,
"sendManifestFile": null
},
"metadata": {
"legacyReportID": 000000001,
"reportUUID": "99999999-8888-7777-6666-555555555555",
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"startedDate": "YYYY-MM-DDT00:00:00Z",
"completedDate": "YYYY-MM-DDT00:00:00Z",
"status": "Completed",
"currentTask": "",
"jobType": "Data Warehouse"
},
"report": {
"rsid": "examplersid",
"fromDate": "YYYY-MM-DDT00:00:00Z",
"toDate": "YYYY-MM-DDT00:00:00Z"
}
}
Request example details
The example above requests a detailed report associated with the Report UUID 99999999-8888-7777-6666-555555555555.
Response example details
The example above shows a response with details for the requested report, including the exportLocationUUID, email notifications, the output file, the relevant schedule timestamps and schedule request identifiers.
Request parameters
The GET report by ID endpoint uses the same request parameters as those described in the tables above.
Response Parameters
The GET report by ID endpoint uses the same response parameters as those described in the tables above.
PUT report by ID
Use this endpoint to update a specified report by the Report UUID.
PUT https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/data_warehouse/report/{REPORT_UUID}
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'PUT' \
"https://analytics.adobe.io/api/{GlOBAL_COMPANY_ID}/data_warehouse/report/44444444-3333-2222-1111-000000000000" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
-d '{
"metadata": {
"status": "resend"
}
}'
Response
{
"delivery": {
"exportLocationUUID": "000fxf00-12d1-1234-a6aa-00000000000a",
"email": {
"notificationEmailTo": "notification_email_in_delivery_profile",
"notificationEmailFrom": "example_user@example.com",
"notificationEmailSubject": "Data Warehouse: for examplersid",
"notificationEmailNotes": null
},
"legacyEmail": null,
"legacyAzure": null,
"legacyFTP": null,
"legacyS3": null
},
"outputFile": {
"compressionFormat": "default",
"outputFileBasename": "Report",
"fileFormat": "csv",
"sendEmptyFileForNoDataReport": true,
"beginningOfReportComments": "",
"sendDigitalSignatureFile": null,
"sendManifestFile": null
},
"metadata": {
"legacyReportID": 0000001,
"reportUUID": "99999999-8888-7777-6666-555555555555",
"scheduledRequestUUID": "44444444-3333-2222-1111-000000000000",
"createdDate": "YYYY-MM-DDT00:00:00Z",
"updatedDate": "YYYY-MM-DDT00:00:00Z",
"startedDate": "YYYY-MM-DDT00:00:00Z",
"completedDate": "YYYY-MM-DDT00:00:00Z",
"status": "Processing",
"currentTask": "",
"jobType": "Data Warehouse"
},
"report": {
"rsid": "examplersid",
"fromDate": "YYYY-MM-DDT00:00:00Z",
"toDate": "YYYY-MM-DDT00:00:00Z"
}
}
Request Example Details
The example above requests a resend in the status of the metadata object.
Response Example Details
The response example above shows that the status in the metadata object has been updated from Complete to Processing.
Request parameters
The PUT report by ID endpoint uses the same request parameters as those described in the tables above.
Response Parameters
The PUT report by ID endpoint uses the same response parameters as those described in the tables above.
For more information, or for trouble-shooting help, see the following: